<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.distributable-web.hotrod-single-sign-on-management">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="remote-cache-container,cache-configuration"/>
        <elem name="addr-params" value="profile,subsystem,hotrod-single-sign-on-management"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.distributable-web"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.clustering.web.single-sign-on-management-provider.$hotrod-single-sign-on-management"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.clustering.infinispan.remote-cache-container.$remote-cache-container"/>
    </requires>
    <refs>
        <ref feature="subsystem.distributable-web"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="subsystem" feature-id="true" default="distributable-web"/>
        <param name="hotrod-single-sign-on-management" feature-id="true"/>
        <param name="cache-configuration" nillable="true"/>
        <param name="remote-cache-container"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>